org.jbpm.services.task.assignment.impl.strategy

## Class RoundRobinAssignmentStrategy

- java.lang.Object
- - org.jbpm.services.task.assignment.impl.strategy.RoundRobinAssignmentStrategy

- All Implemented Interfaces:
    org.kie.internal.task.api.assignment.AssignmentStrategy

      public class RoundRobinAssignmentStrategy
      extends Object
      implements org.kie.internal.task.api.assignment.AssignmentStrategy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoundRobinAssignmentStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.task.api.assignment.Assignment` | `apply(org.kie.api.task.model.Task task, org.kie.api.task.TaskContext taskContext, String excludedUser)`
    `String` | `getIdentifier()`
    `protected String` | `getQueueName(org.kie.api.task.model.Task task)` Generates a queue name that is based on data retrieved from the task.
    `protected boolean` | `queueContainsUser(org.jbpm.services.task.assignment.impl.strategy.RoundRobinAssignmentStrategy.CircularQueue<org.kie.api.task.model.OrganizationalEntity> queue, org.kie.api.task.model.OrganizationalEntity oe)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.api.assignment.AssignmentStrategy

      `taskDone`

- - ### Constructor Detail

    - #### RoundRobinAssignmentStrategy

          public RoundRobinAssignmentStrategy()

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.kie.internal.task.api.assignment.AssignmentStrategy`

    - #### apply

          public org.kie.internal.task.api.assignment.Assignment apply(org.kie.api.task.model.Task task,
                                                                       org.kie.api.task.TaskContext taskContext,
                                                                       String excludedUser)

      Specified by:
        `apply` in interface `org.kie.internal.task.api.assignment.AssignmentStrategy`

    - #### queueContainsUser

          protected boolean queueContainsUser(org.jbpm.services.task.assignment.impl.strategy.RoundRobinAssignmentStrategy.CircularQueue<org.kie.api.task.model.OrganizationalEntity> queue,
                                              org.kie.api.task.model.OrganizationalEntity oe)

    - #### getQueueName

          protected String getQueueName(org.kie.api.task.model.Task task)

      Generates a queue name that is based on data retrieved from the task. The form of the generated queue name is: Process ID + "_" + Deployment ID + " " + Task Name
      Parameters:
        `task` - Source of the data used to generate the queue name
      Returns:
        The generated queue name

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.